100 REM PINGing around with a Propeller BOE-BOT
110 REM Ping servo (R) 550 to (L) 2300, (C) 1425
120 REM Left servo (F) > 1700, (C) 1488, (R) < 1300
130 REM Right servo (F) < 1300, (C) 1500, (R) > 1700
140 SRVPING [50] = 1425 : REM Initialize
150 PAUSE 500
160 PRINT "Test PING and IR"
165 GOSUB 1000
170 PRINT a,b,c,d,e
180 PRINT v,w,x,y,z
185 PAUSE 2000
190 PRINT "Turn right 45 degrees"
200 GOSUB 1300
205 PAUSE 2000
210 PRINT "Turn left 45 degrees"
220 GOSUB 1400
225 PAUSE 2000
230 PRINT "Go forward"
240 GOSUB 1500
245 PAUSE 2000
250 PRINT "Go backward"
260 GOSUB 1600
265 PAUSE 2000
270 STOP
1000 REM Starting at the PING servo center position,
1010 REM check first at 45 degrees, then 90 degrees
1020 REM to the right, then the left for PING distance
1030 REM and IR distance zone using variables A-E for
1040 REM PING and V-Z for IR.
1050 SRVPING [50] = 550 : REM Start on the right side
1060 PAUSE 500 : PING : REM Wait for movement, then PING
1070 a = PING : v = IRZONE [38000,10,500]
1080 SRVPING [50] = 986 : REM Mid-right position
1090 PAUSE 500 : PING : REM Wait for movement, then PING
1100 b = PING : w = IRZONE [38000,10,500]
1110 SRVPING [50] = 1425 : REM Straight ahead
1120 PAUSE 500 : PING : REM Wait for movement, then PING
1130 c = PING : x = IRZONE [38000,10,500]
1140 SRVPING [50] = 1964 : REM Mid-left position
1150 PAUSE 500 : PING : REM Wait for movement, then PING
1160 d = PING : y = IRZONE [38000,10,500]
1170 SRVPING [50] = 2300 : REM Finish on the left side
1180 PAUSE 500 : PING : REM Wait for movement, then PING
1190 e = PING : z = IRZONE [38000,10,500]
1200 SRVPING [50] = 1425 : REM Center servo
1210 RETURN
1300 REM Turn to the right about 45 degrees
1310 SRVLEFT [40]=1688
1320 SRVRIGHT [40]=1700
1330 PAUSE 500
1340 RETURN
1400 REM Turn to the left about 45 degrees
1410 SRVLEFT [40]=1288
1420 SRVRIGHT [40]=1300
1430 PAUSE 500
1440 RETURN
1500 REM Go forward for about a second
1510 SRVLEFT [50]=1688
1520 SRVRIGHT [50]=1300
1530 PAUSE 1000
1540 RETURN
1600 REM Go backwards for about a second
1610 SRVLEFT [50]=1288
1620 SRVRIGHT [50]=1700
1630 PAUSE 1000
1640 RETURN
